const {Buffer} = require("node:buffer");
const request = {
    GET_HEIGHT_WEIGHT: Buffer.from([0xFA, 0x07, 0x04, 0x00, 0x00, 0x00, 0xFB]),
    SWITCH_ON: Buffer.from([0xFA, 0x07, 0x01, 0x00, 0x00, 0x00, 0xFB]),
    SWITCH_OFF: Buffer.from([0xFA, 0x07, 0x09, 0x00, 0x00, 0x00, 0xFB])
}

const response = {
    SWITCH_ON: Buffer.from([0xba, 0x06, 0x01, 0x00, 0x00, 0xbe]),
    SWITCH_OFF: Buffer.from([0xba, 0x06, 0x09, 0x00, 0x00, 0xbe]),
    generate_weight_data: (height) => {
        height = height * 10;
        height = ~~height;
        let low = height / 256;
        let high = height % 256;
        return Buffer.from([0xba, 0x06, 0x03, low, high, 0xbe])
    },
    generate_height_weight_data: (height, weight) => {
        height = height * 10;
        height = ~~height;

        weight = weight * 10;
        weight = ~~weight;

        let height3 = height / 256;
        let height4 = height % 256;

        let weight5 = weight / 256;
        let weight6 = weight % 256;

        return Buffer.from([0xba, 0x08, 0x04, height3, height4, weight5, weight6, 0xbe])
    }
}

module.exports = {
    request, response
}
